
Infrastructure - Bug #671

identifier mismatch between listObject, getSystemMetadata

2010-06-15 22:46 - Dave Vieglais

Status: Closed Start date: 2013-01-02

Priority: High Due date: 2013-01-02

Assignee: Roger Dahl % Done: 100%

Category: d1_mn_GMN Estimated time: 0.00 hour

Target version: CCI-0.4   

Milestone:  Story Points:  

Product Version: *   

Description

A trailing slash seems to be added to identifiers in the list objects response, is needed for the get() method, and

getSystemMetadata(), but the identifier returned in getSystemMetadata has no trailing slash, hence does not match.

List one object:

curl -H "Accept: text/xml" "http://129.24.0.11/mn/object?start=23&count=1"

identifier = "hdl:10255/dryad.167/mets.xml_data/"

get object:

curl "http://129.24.0.11/mn/object/hdl%3A10255/dryad.167/mets.xml_data/"

getsystemmetadata:

curl -H "Accept: text/xml" "http://129.24.0.11/mn/meta/hdl%3A10255/dryad.167/mets.xml_data/"

identifier = hdl:10255/dryad.167/mets.xml_data

History

#1 - 2010-06-21 13:27 - Roger Dahl

- Status changed from New to Closed

#2 - 2010-06-23 13:56 - Dave Vieglais

- Status changed from Closed to 4

Re-opening this bug because testing still fails on dryad MN.

The identifier expressed in system metadata does not match the identifier used to retrieve the system metadata though getSystemMetadata or

listObjects().

#3 - 2010-07-30 16:07 - Roger Dahl

- Status changed from 4 to Closed

#4 - 2013-01-02 15:52 - Dave Vieglais

- Start date set to 2013-01-02

- translation missing: en.field_remaining_hours set to 0.0

- Category changed from 299 to d1_mn_GMN

- Due date set to 2013-01-02
